﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using RecrownedAthenaeum.UI.Modular.Modules;
using RecrownedAthenaeum.DataTypes;
using RecrownedAthenaeum.UI.Modular.Modules.Interactive;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RecrownedAthenaeum.UI.Modular.Modules.Interactive
{
    public class TextButton : Button
    {
        private TextLabel label;

        public TextButton(string text, SpriteFont font, NinePatch background) : base(background)
        {
            label = new TextLabel(font, text);
            label.autoScale = true;
        }

        public override void Update(GameTime gameTime)
        {
            label.bounds = bounds;
            label.Update(gameTime);
            base.Update(gameTime);
        }

        public override void Draw(SpriteBatch batch)
        {
            label.Draw(batch);
            base.Draw(batch);
        }
    }
}
